"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyBscNft = exports.verifyBscToken = exports.getAbiBsc = exports.getAbiFunctionsBsc = exports.mintBscNft = exports.createBscNftCollection = exports.createBscToken = exports.transferBscToken = void 0;
var transactionBuilderBsc_1 = require("../transactionBuilderBsc");
var transferBscToken = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildTransferBscToken)(req.body, address, networkProvider)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [2 /*return*/];
        }
    });
}); };
exports.transferBscToken = transferBscToken;
var createBscToken = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildCreateBscToken)(req.body, address, networkProvider)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [2 /*return*/];
        }
    });
}); };
exports.createBscToken = createBscToken;
var createBscNftCollection = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildCreateBscNftCollection)(req.body, address, networkProvider)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [2 /*return*/];
        }
    });
}); };
exports.createBscNftCollection = createBscNftCollection;
var mintBscNft = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildmintNftBscTokenCollection)(req.body, address, networkProvider)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [2 /*return*/];
        }
    });
}); };
exports.mintBscNft = mintBscNft;
var getAbiFunctionsBsc = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx, err_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildGetAbiFunctionsBsc)(address, networkProvider, req.body.smartContractAddress)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [3 /*break*/, 3];
            case 2:
                err_1 = _a.sent();
                console.log(err_1);
                return [3 /*break*/, 3];
            case 3: return [2 /*return*/];
        }
    });
}); };
exports.getAbiFunctionsBsc = getAbiFunctionsBsc;
var getAbiBsc = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx, err_2;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildGetAbiBsc)(address, networkProvider, req.body.smartContractAddress)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [3 /*break*/, 3];
            case 2:
                err_2 = _a.sent();
                console.log(err_2);
                return [3 /*break*/, 3];
            case 3: return [2 /*return*/];
        }
    });
}); };
exports.getAbiBsc = getAbiBsc;
var verifyBscToken = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx, err_3;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildVerifyBscToken)(req.body, address, networkProvider)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [3 /*break*/, 3];
            case 2:
                err_3 = _a.sent();
                console.log(err_3);
                return [3 /*break*/, 3];
            case 3: return [2 /*return*/];
        }
    });
}); };
exports.verifyBscToken = verifyBscToken;
var verifyBscNft = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    var address, networkProvider, tx, err_4;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                address = req.body.address;
                networkProvider = req.body.networkProvider;
                return [4 /*yield*/, (0, transactionBuilderBsc_1.buildVerifyBscToken)(req.body, address, networkProvider)];
            case 1:
                tx = _a.sent();
                res.send(tx);
                return [3 /*break*/, 3];
            case 2:
                err_4 = _a.sent();
                console.log(err_4);
                return [3 /*break*/, 3];
            case 3: return [2 /*return*/];
        }
    });
}); };
exports.verifyBscNft = verifyBscNft;
//# sourceMappingURL=bscToken.js.map