import { Elrond } from "@zoidpay-tech/zoidpay-blockchain-helpers";
export declare const buildIssue: (body: Elrond.models.ESDTIssueTokenData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildTransfer: (body: Elrond.models.ESDTTransferData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildSetRole: (body: Elrond.models.ESDTSetSpecialRoleData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildUnSetRole: (body: Elrond.models.ESDTUnsetSpecialRoleData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildLocalMint: (body: Elrond.models.ESDTLocalMintData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildLocalBurn: (body: Elrond.models.ESDTLocalBurnData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildPause: (body: Elrond.models.ESDTPauseData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildUnPause: (body: Elrond.models.ESDTUnPauseData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildFreeze: (body: Elrond.models.ESDTFreezeData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildUnFreeze: (body: Elrond.models.ESDTUnFreezeData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildWipe: (body: Elrond.models.ESDTWipe, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildControlChanges: (body: Elrond.models.ESDTControlChanges, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildTransferOwnership: (body: Elrond.models.ESDTTransferOwnership, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
