import { Polygon } from "@zoidpay-tech/zoidpay-blockchain-helpers";
export declare const buildTransferMaticToken: (body: Polygon.models.MaticTokenTransferData, address: string, networkProvider: Polygon.models.MaticNetworkProvider) => Promise<any>;
export declare const buildCreateMaticToken: (body: Polygon.models.MaticTokenCreateData, address: string, networkProvider: Polygon.models.MaticNetworkProvider) => Promise<any>;
export declare const buildMaticTokenVerify: (body: Polygon.models.MaticVerifyTokenContract, address: string, networkProvider: Polygon.models.MaticNetworkProvider) => Promise<"Your token was verified" | "Your token could not be verified. Please check if your contract was deployed with our services or if the input you provided is correct.">;
export declare const buildCreateNftMaticCollection: (body: Polygon.models.MaticNftCreateData, address: string, networkProvider: Polygon.models.MaticNetworkProvider) => Promise<any>;
export declare const buildMaticMintToken: (body: Polygon.models.MaticNftMintData, address: string, networkProvider: Polygon.models.MaticNetworkProvider) => Promise<any>;
export declare const buildMaticNftVerify: (body: Polygon.models.MaticVerifySmartContractNft, address: string, networkProvider: Polygon.models.MaticNetworkProvider) => Promise<"Your token was verified" | "Your token could not be verified. Please check if your contract was deployed with our services or if the input you provided is correct.">;
export declare const buildGetAbiMatic: (address: string, networkProvider: Polygon.models.MaticNetworkProvider, smartContractAddress: string) => Promise<any>;
