import { Elrond } from "@zoidpay-tech/zoidpay-blockchain-helpers";
export declare const buildCreateNft: (body: Elrond.models.ESDTNFTCreate, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildTransferNft: (body: Elrond.models.ESDTNFTTransfer, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildIssueNft: (body: Elrond.models.NFTIssueData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildSetSpecialRoleNft: (body: Elrond.models.NFTSetSpecialRoleData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildTransferNftCreateRole: (body: Elrond.models.NFTTransferCreateRole, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildStopNftCreate: (body: Elrond.models.NFTStopNftCreate, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildUpdateAttributes: (body: Elrond.models.ESDTNFTUpdateAttributesData, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildNftAddURI: (body: Elrond.models.ESDTNFTAddURI, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildFreezeSingleNFT: (body: Elrond.models.ESDTfreezeSingleNFT, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildUnFreezeSingleNFT: (body: Elrond.models.ESDTUnFreezeSingleNFT, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
export declare const buildwipeSingleNFT: (body: Elrond.models.ESDTwipeSingleNFT, address: string, networkProvider: Elrond.models.NetworkProvider) => Promise<Elrond.models.ObjectTransaction>;
