import { Request, Response } from "express";
import {
  buildChangeSftToMetaEsdt,
  buildRegisterMetaESDT,
} from "../transactionBuilderMetaEsdt";

export const registerMetaESDT = async (req: Request, res: Response) => {
  const address = req.body.address;
  const networkProvider = req.body.networkProvider;

  const tx = await buildRegisterMetaESDT(req.body, address, networkProvider);

  res.send(tx);
};

export const changeSftToMetaEsdt = async (req: Request, res: Response) => {
  const address = req.body.address;
  const networkProvider = req.body.networkProvider;

  const tx = await buildChangeSftToMetaEsdt(req.body, address, networkProvider);

  res.send(tx);
};
