import { Ethereum } from "@zoidpay-tech/zoidpay-blockchain-helpers";
import { EtherscanURL } from "@zoidpay-tech/zoidpay-blockchain-helpers/dist/src/models/Ethereum";
export declare const buildTransferEthToken: (body: Ethereum.models.EthTokenTransferData, address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number, privateKey: string) => Promise<any>;
export declare const buildCreateEthToken: (body: Ethereum.models.EthTokenCreateData, address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number, privateKey: string) => Promise<any>;
export declare const buildCreateEthTokenCollection: (body: Ethereum.models.EthNftCreateData, address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number) => Promise<any>;
export declare const buildmintNftEthTokenCollection: (body: Ethereum.models.EthNftMintData, address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number) => Promise<any>;
export declare const buildVerifyEthNft: (body: Ethereum.models.VerifyNftContractEth, address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number) => Promise<any>;
export declare const buildVerifyEthToken: (body: Ethereum.models.VerifyTokenContractEth, address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number) => Promise<any>;
export declare const abiFunctions: (address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number, smartContractAddress: string, etherscanURL: EtherscanURL) => Promise<any>;
export declare const buildGetAbiEth: (address: string, networkProvider: Ethereum.models.EthereumNetworkProvider, chainId: number, smartContractAddress: string, etherscanURL: EtherscanURL) => Promise<any>;
